Bug 13249 - FR: разделить на подпакеты по приложениям
: FR: разделить на подпакеты по приложениям
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/openoffice.org)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-10-30 12:37 by
Modified: 2008-02-15 21:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-10-30 12:37:43

    
------- Comment #1 From 2007-10-30 12:41:22 -------
Прошу прощения, нечаянно отправил без комментария. 
Предложение продиктовано задачей подготовки профилированных LiveCD с 
каким-то пользовательским контентом (например, учебными материалами). 
Идея в том, что для этой задачи бывает критически важно занимаемое 
место, в то время как из пакета OpenOffice необходимы не все приложения,
а, например, только writer и calc, таким образом можно освободить 
место под контент/другие приложения, включив только нужное. 
Пример такого разделения OOo на пакеты есть в Debian.
------- Comment #2 From 2007-10-30 13:50:52 -------
Об этом речи уже велись в рассылках. Насколько я знаю, овчинка выделки не
стоит.
oowriter, oocalc и так далее - это лишь фронтенды к основной части OpenOffice,
которая хоть и состоит из набора бинарников и библиотек, но не слишком-то
распиливается. В частности, посмотрите ls -l
/usr/lib/OpenOffice.org2/program/s*, обратите внимание на размеры исполняемых
файлов.
------- Comment #3 From 2007-10-30 15:32:48 -------
А возможно ли выделить подмножество библиотек, связанных только с одним из
приложений. К примеру, OOBase? 
------- Comment #4 From 2007-10-30 15:34:57 -------
$ l /usr/lib/OpenOffice.org2/program/libsb680li.so
-rw-r--r-- 1 root root 1452028 Окт 28 
15:13 /usr/lib/OpenOffice.org2/program/libsb680li.so
------- Comment #5 From 2008-01-06 16:27:11 -------
...
------- Comment #6 From 2008-02-15 21:45:11 -------
re
------- Comment #7 From 2008-02-15 21:45:45 -------
Раз не стоит - значит WONTFIX.